<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no" />
    <meta charset="utf-8" />
    <title>Marcador Piscante no Google Maps</title>
    <style>
      /* Defina o estilo do mapa e o tamanho do contêiner do mapa */
      #map {
        height: 400px;
        width: 100%;
      }
    </style>
  </head>
  <body>
    <div id="map"></div>

    <script>
      var map;
      var marker;
      var blinkInterval;

      function initMap() {
        var myLatLng = { lat: -1.4758618, lng: -48.457288 };
        map = new google.maps.Map(document.getElementById('map'), {
          center: myLatLng,
          zoom: 17,
        });

        marker = new google.maps.Marker({
          position: myLatLng,
          map: map,
        });

        // Inicie a função para fazer o marcador piscar
        startBlinking();
      }

      function startBlinking() {
        blinkInterval = setInterval(function () {
          marker.setVisible(!marker.getVisible());
        }, 500); // Alterne a visibilidade a cada segundo (1000 ms)
      }

      // Chame esta função para parar o piscar
      function stopBlinking() {
        clearInterval(blinkInterval);
        marker.setVisible(true); // Garanta que o marcador esteja visível no final
      }
    </script>
    <script
      async
      defer
      src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBn6CDitVHgqMkiQ-rD-1oEucDGvaIOBW8&callback=initMap"
    ></script>
  </body>
</html>
